Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jboss.subsystem
Class AddRepository

    java.lang.Object
      org.jboss.as.controller.AbstractAddStepHandler
          org.modeshape.jboss.subsystem.AddRepository

All Implemented Interfaces:
  org.jboss.as.controller.OperationStepHandler

    public class AddRepository

extends org.jboss.as.controller.AbstractAddStepHandler

Field Summary
`static AddRepository` | `INSTANCE`

Method Summary
`protected void` | `performRuntime(org.jboss.as.controller.OperationContext context, org.jboss.dmr.ModelNode operation, org.jboss.dmr.ModelNode model, org.jboss.as.controller.ServiceVerificationHandler verificationHandler, List<org.jboss.msc.service.ServiceController<?>> newControllers)`
`static void` | `populate(org.jboss.dmr.ModelNode operation, org.jboss.dmr.ModelNode model)`
`protected void` | `populateModel(org.jboss.dmr.ModelNode operation, org.jboss.dmr.ModelNode model)`
`protected void` | `writeIndexingBackendConfiguration(org.jboss.as.controller.OperationContext context, org.jboss.dmr.ModelNode storage, EditableDocument backend, String type)`

Methods inherited from class org.jboss.as.controller.AbstractAddStepHandler
`execute, populateModel, populateModel, requiresRuntime, requiresRuntimeVerification, rollbackRuntime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final AddRepository INSTANCE

Method Detail

### populateModel

    protected void populateModel(org.jboss.dmr.ModelNode operation,
                                 org.jboss.dmr.ModelNode model)
                          throws org.jboss.as.controller.OperationFailedException

  Specified by:
    `populateModel` in class `org.jboss.as.controller.AbstractAddStepHandler`
  Throws:
    `org.jboss.as.controller.OperationFailedException`

### populate

    public static void populate(org.jboss.dmr.ModelNode operation,
                                org.jboss.dmr.ModelNode model)
                         throws org.jboss.as.controller.OperationFailedException

  Throws:
    `org.jboss.as.controller.OperationFailedException`

### performRuntime

    protected void performRuntime(org.jboss.as.controller.OperationContext context,
                                  org.jboss.dmr.ModelNode operation,
                                  org.jboss.dmr.ModelNode model,
                                  org.jboss.as.controller.ServiceVerificationHandler verificationHandler,
                                  List<org.jboss.msc.service.ServiceController<?>> newControllers)
                           throws org.jboss.as.controller.OperationFailedException

  Overrides:
    `performRuntime` in class `org.jboss.as.controller.AbstractAddStepHandler`
  Throws:
    `org.jboss.as.controller.OperationFailedException`

### writeIndexingBackendConfiguration

    protected void writeIndexingBackendConfiguration(org.jboss.as.controller.OperationContext context,
                                                     org.jboss.dmr.ModelNode storage,
                                                     EditableDocument backend,
                                                     String type)
                                              throws org.jboss.as.controller.OperationFailedException

  Throws:
    `org.jboss.as.controller.OperationFailedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.